## XML Vendor Functions

XML Vendor Functions — Functions to parse glabels XML vendor descriptions

## Functions

GList * | lgl_xml_vendor_read_vendors_from_file ()
GList * | lgl_xml_vendor_parse_vendors_doc ()
lglVendor * | lgl_xml_vendor_parse_vendor_node ()

## Object Hierarchy

## Includes

    #include <libglabels/lgl-xml-vendor.h>

## Description

This section describes several functions for parsing vendor XML description files.

## Functions

### lgl_xml_vendor_read_vendors_from_file ()

    GList *
    lgl_xml_vendor_read_vendors_from_file (gchar *utf8_filename);

Read vendor definitions from a file.

#### Parameters

utf8_filename | Filename of vendors file (name encoded as UTF-8) |

#### Returns

a list of lglVendor structures.

### lgl_xml_vendor_parse_vendors_doc ()

    GList *
    lgl_xml_vendor_parse_vendors_doc (xmlDocPtr vendors_doc);

Read vendor definitions from a libxml xmlDocPtr tree.

#### Parameters

vendors_doc | libxml xmlDocPtr tree, representing a vendors definition file. |

#### Returns

a list of lglVendor structures.

### lgl_xml_vendor_parse_vendor_node ()

    lglVendor *
    lgl_xml_vendor_parse_vendor_node (xmlNodePtr vendor_node);

Read a single vendor definition from a libxml xmlNodePtr node.

#### Parameters

vendor_node | libxml xmlNodePtr vendor node from a xmlDocPtr tree. |

#### Returns

a pointer to a newly created lglVendor structure.

## Types and Values